Subject: Re: [PATCH net] kcm: lock lower socket in kcm_attach

From: Eric Biggers <[email-masked]>
Date: Mon, 12 Mar 2018 14:09:41 -0700

On Mon, Mar 12, 2018 at 02:04:12PM -0700, Tom Herbert wrote:
> Need to lock lower socket in order to provide mutual exclusion
> with kcm_unattach.
> 
> Fixes: ab7ac4eb9832e32a09f4e804 ("kcm: Kernel Connection Multiplexor module")
> Signed-off-by: Tom Herbert <[email-masked]>
> ---

Is this fixing the syzbot-reported bug "KASAN: use-after-free Read in
get_work_pool"?  If so, please add:

Reported-by: [email-masked]